jockey-backend crashed with TypeError in pulse_items(): an integer is required

Bug #841366 reported by Gustavo on 2011-09-04
124
This bug affects 16 people
Affects Status Importance Assigned to Milestone
python-apt (Ubuntu)
Medium
Unassigned

Bug Description

I get this error when I open software to install proprietary drivers for my nvidia video adapter.

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: jockey-common 0.9.4-0ubuntu4
ProcVersionSignature: Ubuntu 3.0.0-10.16-generic 3.0.4
Uname: Linux 3.0.0-10-generic x86_64
Architecture: amd64
BootDmesg: (Nothing has been logged yet.)
Date: Sun Sep 4 23:19:51 2011
ExecutablePath: /usr/share/jockey/jockey-backend
InterpreterPath: /usr/bin/python2.7
MachineType: To be filled by O.E.M. To be filled by O.E.M.
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/share/jockey/jockey-backend --debug -l /var/log/jockey.log
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-10-generic root=UUID=81c8ea82-fbcf-49f1-b7a5-fc8c37d6c4ee ro quiet splash vt.handoff=7
PythonArgs: ['/usr/share/jockey/jockey-backend', '--debug', '-l', '/var/log/jockey.log']
SourcePackage: jockey
Title: jockey-backend crashed with TypeError in pulse_items(): an integer is required
Traceback:
 Traceback (most recent call last):
   File "/usr/lib/python2.7/dist-packages/apt/progress/old.py", line 121, in pulse_items
     if self.currentCPS > 0:
 TypeError: an integer is required
UpgradeStatus: Upgraded to oneiric on 2011-09-04 (0 days ago)
UserGroups:

dmi.bios.date: 06/22/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0506
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: Crosshair V Formula
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0506:bd06/22/2011:svnTobefilledbyO.E.M.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnASUSTeKComputerINC.:rnCrosshairVFormula:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: To be filled by O.E.M.

Gustavo (paolo-nino) wrote :
tags: removed: need-duplicate-check
Changed in jockey (Ubuntu):
status: New → Confirmed
tags: added: bugpattern-needed
tags: added: iso-testing
tags: removed: bugpattern-needed
tags: added: bugpattern-written
visibility: private → public
Changed in jockey (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Federico (fkremer-terra) wrote :

instalando nvidia driver

Martin Pitt (pitti) on 2012-04-12
affects: jockey (Ubuntu) → python-apt (Ubuntu)
Julian Andres Klode (juliank) wrote :

The code has been removed from python-apt.

Changed in python-apt (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers